Help for Embedded SigmaPlot Graphs

When you insert a SigmaPlot graph into a document as a SigmaPlot object, some different menus and options are available than when viewing graphs inside SigmaPlot.

This document describes the behavior of SigmaPlot features while editing a SigmaPlot graph. Note that you can also open embedded graphs inside SigmaPlot, gaining full SigmaPlot functionality.

Choose a topic to learn more:

  • Create Embedded Graphs

  • Embedded Graph menus and commands

  • Edit Embedded Graphs

  • View Data for an Embedded Graph

  • Resize Embedded Graphs


Create Embedded Graphs

You can create embedded graphs in any number of ways, including:

  • Copying and pasting into an application that accepts embedded objects, like Word, Excel or PowerPoint.

  • Using the Insert File or Object menu from an application that accepts embedded objects.

  • Running any of the SigmaPlot integration routines (for example, SPSS integration).

  • Using the Paste to PowerPoint Slide or Insert Graphs into Word Toolbox. macros.


Edit Embedded Graphs

You can choose to edit a SigmaPlot graph from inside the current program, or open the embedded graph inside SigmaPlot.

Editing "in-place"

To edit a graph in place, simply double-click it. You can also right click it and choose to Edit the SigmaPlot Graph Object. To modify the graph at this point, right-click or double-click the graph to access the different graph properties and settings.

Opening graphs

To open an embedded graph inside SigmaPlot, you can right-click the inactive graph, and choose to Open the SigmaPlot Graph Object. The graph will open as a graph page and worksheet inside SigmaPlot as an Embedded Page. Note that no notebook window or file is associated with this graph. You can use the File menu to update the source document, or save a copy of the graph off as a new file.


View Data for an Embedded Graph

If you need to view or edit the data for an embedded graph, you must open that graph inside SigmaPlot.


Resize Embedded Graphs

The sizing and scaling of the SigmaPlot graph is controlled by the "container" application, that is, the program for the document where the graph has been embedded. However, you can change the size of the page for the embedded graph itself. This is particularly useful if for some reason the graph has been clipped, or you need to rescale and resize the graph or other page objects.

Resizing the Graph Page

The embedded graph resides on a graph page that has been clipped to just contain the embedded content. You can resize this page if necessary using the Page Setup command from the page right-click menu, or from the Graph menu.


Add to Gallery command

Adds the currently selected graph to the style gallery. This is the same function as the Add Graph command from the Graph Style Gallery window.


Embedded Graph menus and commands

The following SigmaPlot menus commands are available while editing embedded SigmaPlot graphs:

Edit: Undo/Redo, Cut, Copy, Paste, Paste Link, Insert New Object, Links, Object

View: Toolbar*, Stop, Refresh, Suspend Redraw

Format: Text Properties, Line, Fill, Size and Position, Bring to Front, Send to Back, Group, Ungroup, Align, Arrange Graphs

Tools: Select Object, Text, Draw Box, Draw Ellipse, Draw Line, Draw Arrow

Graph: Select Graph, Graph Properties, Add to Gallery*, Save as Web Page, Paste to PowerPoint Slide*

Help: Contents and Index, Tip of the Day, SigmaPlot Tutorial, SigmaPlot Automation, SPSS Science on the Web, Publication Assistant, About SigmaPlot

*denotes a command only available from the embedded graph menus


Paste to PowerPoint Slide command

This runs the Paste to PowerPoint slide macro.


Toolbar Command

While SigmaPlot is active, this command hides or shows all formatting toolbars